Skip to main content
GET
/
v1
/
agents
cURL
curl --request GET \
  --url https://api.fluents.ai/v1/agents \
  --header 'Authorization: Bearer <token>'
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "user_id": "550e8400-e29b-41d4-a716-446655440000",
  "prompt": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "user_id": "550e8400-e29b-41d4-a716-446655440000",
    "label": "My Prompt",
    "description": "This is a description",
    "content": "You are a helpful assistant...",
    "context_endpoint": "https://api.example.com/context",
    "collect_fields": [
      "<string>"
    ],
    "type": "prompt",
    "tags": [
      "tag1",
      "tag2"
    ],
    "prompt_template": {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "user_id": "550e8400-e29b-41d4-a716-446655440000",
      "required_context_keys": [
        "tag1",
        "tag2"
      ],
      "label": "My Prompt"
    }
  },
  "actions": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "user_id": "550e8400-e29b-41d4-a716-446655440000",
      "type": "action_transfer_call",
      "config": {},
      "label": "Transfer Call",
      "description": "This is a description",
      "action_trigger": {}
    }
  ],
  "voice": {},
  "name": "My Agent",
  "initial_message": "Hello, how can I help you today?",
  "webhook": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "user_id": "550e8400-e29b-41d4-a716-446655440000",
    "subscriptions": [
      "event_message",
      "event_action"
    ],
    "url": "https://example.com/webhook",
    "method": "POST",
    "label": "My Webhook",
    "description": "This is a description"
  },
  "context_endpoint": "https://api.example.com/context",
  "noise_suppression": true,
  "conversation_speed": 0.5,
  "initial_message_delay": 1000,
  "openai_model_name_override": "gpt-4",
  "ask_if_human_present_on_idle": true,
  "openai_account_connection": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "user_id": "550e8400-e29b-41d4-a716-446655440000",
    "type": "account_connection_twilio",
    "credentials": {
      "twilio_account_sid": "AC1234567890",
      "twilio_auth_token": "1234567890"
    },
    "config": {
      "voicemail_detection": {}
    },
    "label": "My Account Connection",
    "description": "This is a description",
    "steering_pool": [
      "+1234567890"
    ],
    "account_supports_any_caller_id": false
  },
  "run_do_not_call_detection": true,
  "llm_fallback": {},
  "deepgram_keywords": {
    "kansas": "10"
  },
  "idle_time_seconds": 10,
  "llm_temperature": 0.5,
  "enable_recording": true,
  "combine_last_call_context": true,
  "provider": "openai",
  "model": "gpt-4",
  "label": "My Agent",
  "description": "This is a description",
  "transcriber": {},
  "call_duration_sec": 10,
  "max_idle_check_count": 10,
  "max_aggregate_idle_check_count": 123,
  "idle_after_interaction_seconds": 123,
  "voicemail_message": "<string>",
  "skills": [
    {}
  ],
  "min_volume": 123,
  "post_call_prompt": "<string>",
  "post_call_email": {
    "provider_config": {
      "destination_id": "<string>"
    },
    "from_email": "no-reply@example.com",
    "to_email": "user@example.com",
    "subject": "Your call summary",
    "body": "Thanks for your call..."
  },
  "post_call_sms": {
    "provider_config": {
      "destination_id": "<string>"
    },
    "from_phone": "+15551234567",
    "to_phone": "+15557654321",
    "body": "Thanks for your call..."
  },
  "post_call_actions": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "provider_config": {
        "destination_id": "<string>"
      },
      "config": {
        "from_email": "no-reply@example.com",
        "to_email": "user@example.com",
        "subject": "Your call summary",
        "body": "Thanks for your call..."
      },
      "label": "Follow-up email"
    }
  ],
  "activity_actions": [
    {}
  ],
  "enable_dynamic_turns": true,
  "enable_preload_prompt": true,
  "transfer_on_end": true,
  "dynamic_max_silence_secs": 3,
  "dynamic_min_wait_secs": 0.2,
  "enable_dynamic_vm_detection": true,
  "llm_vm_detection_only": true,
  "noise_suppression_level": 50
}

Documentation Index

Fetch the complete documentation index at: https://docs.fluents.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string
required

Response

id
string
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

user_id
string
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

prompt
object
required
actions
object[]
required
voice
object
required
name
string
Example:

"My Agent"

language
enum<string>
Available options:
en,
es,
de,
hi,
pt,
fr,
nl,
id,
it,
ja,
ko
initial_message
string
Example:

"Hello, how can I help you today?"

webhook
object
interrupt_sensitivity
enum<string>
Available options:
low,
high
context_endpoint
string
Example:

"https://api.example.com/context"

noise_suppression
boolean
Example:

true

endpointing_sensitivity
enum<string>
Available options:
auto,
relaxed,
sensitive
ivr_navigation_mode
enum<string>
Available options:
default,
off
conversation_speed
number
Example:

0.5

initial_message_delay
number
Example:

1000

openai_model_name_override
string
Example:

"gpt-4"

ask_if_human_present_on_idle
boolean
Example:

true

openai_account_connection
object
run_do_not_call_detection
boolean
Example:

true

llm_fallback
object
deepgram_keywords
object
Example:
{ "kansas": "10" }
idle_time_seconds
number
Example:

10

llm_temperature
number
Example:

0.5

enable_recording
boolean
Example:

true

combine_last_call_context
boolean
Example:

true

provider
string
Example:

"openai"

model
string
Example:

"gpt-4"

label
string
Example:

"My Agent"

description
string
Example:

"This is a description"

transcriber
object
call_duration_sec
number
Example:

10

max_idle_check_count
number
Example:

10

max_aggregate_idle_check_count
number
idle_after_interaction_seconds
number
voicemail_message
string
skills
object[]
min_volume
number
post_call_prompt
string
post_call_email
object
deprecated
post_call_sms
object
deprecated
post_call_actions
object[]
memory_scope
enum<string>
Available options:
single_agent,
all
activity_actions
object[]
reasoning_effort
enum<string>
Available options:
minimal,
low,
medium,
high
verbosity
enum<string>
Available options:
low,
medium,
high
enable_dynamic_turns
boolean
Example:

true

enable_preload_prompt
boolean
Example:

true

background_sound
enum<string>
Available options:
,
keyboard,
office,
office-2
transfer_on_end
boolean
Example:

true

dynamic_max_silence_secs
number
Example:

3

dynamic_min_wait_secs
number
Example:

0.2

enable_dynamic_vm_detection
boolean
Example:

true

llm_vm_detection_only
boolean
Example:

true

noise_suppression_level
number
Required range: 0 <= x <= 100
Example:

50